aboutsummaryrefslogtreecommitdiffstats
path: root/build-root/scripts
diff options
context:
space:
mode:
authorDave Barach <dave@barachs.net>2018-03-13 12:54:43 -0400
committerDamjan Marion <dmarion.lists@gmail.com>2018-03-14 19:06:16 +0000
commit5a72e425f9c2d5ca049fd05cd280c4bff5f73d57 (patch)
tree866875c0f6f0fb0899dc5111600288c48f84c72a /build-root/scripts
parent1ac36d74210069d574e00e110dae398cae5130a6 (diff)
Clean up vpp build bootstrap step
Net of rewriting vppapigen in python-ply, there's no need to compile vppinfra. Install a copy of vppapigen in .../build-root/tools/bin, so the sample plugin build will work. Rationalize suffix-rules.mk. Add clang, clang++ links to .../build-root/ccache-bin. Change-Id: Ib4017848b7767b6054238ea544ee5319667c3659 Signed-off-by: Dave Barach <dave@barachs.net>
Diffstat (limited to 'build-root/scripts')
-rwxr-xr-xbuild-root/scripts/set-rpath43
1 files changed, 43 insertions, 0 deletions
diff --git a/build-root/scripts/set-rpath b/build-root/scripts/set-rpath
new file mode 100755
index 00000000000..f20ff3f6f40
--- /dev/null
+++ b/build-root/scripts/set-rpath
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+# Copyright (c) 2015 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -z $1 ]; then
+ echo "Please specify path"
+ exit 1
+fi
+
+which chrpath &> /dev/null
+
+if [ $? -ne 0 ] ; then
+ echo "Please install chrpath tool"
+ exit 1
+fi
+
+cd $1
+
+libs=$(find * -type f -name \*.so\*)
+execs=$(find * -type f -path bin/\* )
+
+echo "Setting RPATH to $2 ..."
+
+for i in $libs $execs; do
+ # in case non-ELF file is found
+ chrpath $i 2> /dev/null > /dev/null
+ if [ $? -eq 0 ] ; then
+ echo $i
+ chrpath -r $2
+ fi
+done
+